Index: misc/cli/config.inc.php
===================================================================
--- misc/cli/config.inc.php	(revision 3164)
+++ misc/cli/config.inc.php	(working copy)
@@ -32,16 +32,16 @@
 @set_time_limit(0);
 
 if (isset($_GET)) {
-    $HTTP_POST_VARS = $_POST;
-    $HTTP_GET_VARS = $_GET;
-    $HTTP_SERVER_VARS = $_SERVER;
-    $HTTP_ENV_VARS = $_ENV;
-    $HTTP_POST_FILES = $_FILES;
+    $_POST = $_POST;
+    $_GET = $_GET;
+    $_SERVER = $_SERVER;
+    $_ENV = $_ENV;
+    $_FILES = $_FILES;
     // seems like PHP 4.1.0 didn't implement the $_SESSION auto-global...
     if (isset($_SESSION)) {
-        $HTTP_SESSION_VARS = $_SESSION;
+        $_SESSION = $_SESSION;
     }
-    $HTTP_COOKIE_VARS = $_COOKIE;
+    $_COOKIE = $_COOKIE;
 }
 
 // definitions of path related variables
Index: misc/cli/eventum
===================================================================
--- misc/cli/eventum	(revision 3164)
+++ misc/cli/eventum	(working copy)
@@ -23,11 +23,11 @@
     $relative_url = '/';
 }
 
-if (count($HTTP_SERVER_VARS['argv']) == 1) {
+if (count($_SERVER['argv']) == 1) {
     Command_Line::quit("Requirement argument not found");
 }
 // show usage information if user gave --help
-if (($HTTP_SERVER_VARS['argv'][1] == '--help') || ($HTTP_SERVER_VARS['argv'][1] == 'help')) {
+if (($_SERVER['argv'][1] == '--help') || ($_SERVER['argv'][1] == 'help')) {
     Command_Line::usage(__FILE__);
 }
 
@@ -42,42 +42,42 @@
 $auth = array($user_email, $user_password);
 
 // log command
-Command_Line::log($client, $auth, join(" ", $HTTP_SERVER_VARS['argv']));
+Command_Line::log($client, $auth, join(" ", $_SERVER['argv']));
 
-$issue_id = (integer) $HTTP_SERVER_VARS['argv'][1];
+$issue_id = (integer) $_SERVER['argv'][1];
 if ($issue_id > 0) {
-    if (count($HTTP_SERVER_VARS['argv']) == 2) {
+    if (count($_SERVER['argv']) == 2) {
         Command_Line::printIssueDetails($client, $auth, $issue_id);
     } else {
         if ($should_confirm) {
-            Command_Line::promptConfirmation($client, $auth, $issue_id, @$HTTP_SERVER_VARS['argv']);
+            Command_Line::promptConfirmation($client, $auth, $issue_id, @$_SERVER['argv']);
         }
-        switch ($HTTP_SERVER_VARS['argv'][2]) {
+        switch ($_SERVER['argv'][2]) {
             case 'assign':
-                if (count($HTTP_SERVER_VARS['argv']) == 3) {
+                if (count($_SERVER['argv']) == 3) {
                     Command_Line::quit("Missing parameter for the developer");
                 }
-                Command_Line::assignIssue($client, $auth, $issue_id, $HTTP_SERVER_VARS['argv'][3]);
+                Command_Line::assignIssue($client, $auth, $issue_id, $_SERVER['argv'][3]);
                 break;
             case 'add-replier':
             case 'ar':
                 // adds a user to the list of authorized repliers
-                if (count($HTTP_SERVER_VARS['argv']) == 3) {
+                if (count($_SERVER['argv']) == 3) {
                     Command_Line::quit("Missing parameter for the developer");
                 }
-                Command_Line::addAuthorizedReplier($client, $auth, $issue_id, $HTTP_SERVER_VARS['argv'][3]);
+                Command_Line::addAuthorizedReplier($client, $auth, $issue_id, $_SERVER['argv'][3]);
                 break;
             case 'set-status':
-                if (count($HTTP_SERVER_VARS['argv']) == 3) {
+                if (count($_SERVER['argv']) == 3) {
                     Command_Line::quit("Missing parameter for the status");
                 }
-                Command_Line::setIssueStatus($client, $auth, $issue_id, $HTTP_SERVER_VARS['argv'][3]);
+                Command_Line::setIssueStatus($client, $auth, $issue_id, $_SERVER['argv'][3]);
                 break;
             case 'add-time':
-                if (count($HTTP_SERVER_VARS['argv']) == 3) {
+                if (count($_SERVER['argv']) == 3) {
                     Command_Line::quit("Missing parameter for time worked");
                 }
-                $check = (integer) $HTTP_SERVER_VARS['argv'][3];
+                $check = (integer) $_SERVER['argv'][3];
                 if ($check == 0) {
                     Command_Line::quit("Third argument to command 'add-time' should be a number");
                 }
@@ -89,10 +89,10 @@
                 break;
             case 'get-file':
             case 'gf':
-                if (count($HTTP_SERVER_VARS['argv']) == 3) {
+                if (count($_SERVER['argv']) == 3) {
                     Command_Line::quit("Missing parameter for the file number");
                 }
-                Command_Line::getFile($client, $auth, $issue_id, $HTTP_SERVER_VARS['argv'][3]);
+                Command_Line::getFile($client, $auth, $issue_id, $_SERVER['argv'][3]);
                 break;
             case 'close':
                 Command_Line::closeIssue($client, $auth, $issue_id);
@@ -107,15 +107,15 @@
             case 'get-email':
             case 'ge':
                 // views an email
-                if (count($HTTP_SERVER_VARS['argv']) == 3) {
+                if (count($_SERVER['argv']) == 3) {
                     Command_Line::quit("Missing parameter for the email number");
                 }
-                if (@$HTTP_SERVER_VARS['argv'][4] == "--full") {
+                if (@$_SERVER['argv'][4] == "--full") {
                     $full = true;
                 } else {
                     $full = false;
                 }
-                Command_Line::printEmail($client, $auth, $issue_id, $HTTP_SERVER_VARS['argv'][3], $full);
+                Command_Line::printEmail($client, $auth, $issue_id, $_SERVER['argv'][3], $full);
                 break;
 
             // note related commands
@@ -127,26 +127,26 @@
             case 'get-note':
             case 'gn':
                 // view a note
-                if (count($HTTP_SERVER_VARS['argv']) == 3) {
+                if (count($_SERVER['argv']) == 3) {
                     Command_Line::quit("Missing parameter for the note number");
                 }
-                Command_Line::printNote($client, $auth, $issue_id, $HTTP_SERVER_VARS['argv'][3]);
+                Command_Line::printNote($client, $auth, $issue_id, $_SERVER['argv'][3]);
                 break;
             case 'convert-note':
             case 'cn':
                 // convert a note to an email
-                if (empty($HTTP_SERVER_VARS['argv'][3])) {
+                if (empty($_SERVER['argv'][3])) {
                     Command_Line::quit("Missing parameter for the note number");
                 }
-                if (@$HTTP_SERVER_VARS['argv'][4] != 'draft' && @$HTTP_SERVER_VARS['argv'][4] != 'email' ) {
+                if (@$_SERVER['argv'][4] != 'draft' && @$_SERVER['argv'][4] != 'email' ) {
                     Command_Line::quit("4th parameter must be 'draft' or 'email'");
                 }
-                if (@$HTTP_SERVER_VARS['argv'][5] == 'authorize') {
+                if (@$_SERVER['argv'][5] == 'authorize') {
                     $authorize_sender = true;
                 } else {
                     $authorize_sender = false;
                 }
-                Command_Line::convertNote($client, $auth, $issue_id, $HTTP_SERVER_VARS['argv'][3], $HTTP_SERVER_VARS['argv'][4], $authorize_sender);
+                Command_Line::convertNote($client, $auth, $issue_id, $_SERVER['argv'][3], $_SERVER['argv'][4], $authorize_sender);
                 break;
 
             // draft related commands
@@ -158,18 +158,18 @@
             case 'get-draft':
             case 'gd':
                 // viewing a draft
-                if (count($HTTP_SERVER_VARS['argv']) == 3) {
+                if (count($_SERVER['argv']) == 3) {
                     Command_Line::quit("Missing parameter for the draft number");
                 }
-                Command_Line::printDraft($client, $auth, $issue_id, $HTTP_SERVER_VARS['argv'][3]);
+                Command_Line::printDraft($client, $auth, $issue_id, $_SERVER['argv'][3]);
                 break;
             case 'send-draft':
             case 'sd':
                 // viewing a draft
-                if (count($HTTP_SERVER_VARS['argv']) == 3) {
+                if (count($_SERVER['argv']) == 3) {
                     Command_Line::quit("Missing parameter for the draft number");
                 }
-                Command_Line::sendDraft($client, $auth, $issue_id, $HTTP_SERVER_VARS['argv'][3]);
+                Command_Line::sendDraft($client, $auth, $issue_id, $_SERVER['argv'][3]);
                 break;
 
             case 'redeem':
@@ -183,59 +183,59 @@
                 break;
 
             default:
-                Command_Line::quit("Unknown command '" . $HTTP_SERVER_VARS['argv'][2] . "'");
+                Command_Line::quit("Unknown command '" . $_SERVER['argv'][2] . "'");
         }
     }
 } else {
-    if ($HTTP_SERVER_VARS['argv'][1] == 'developers') {
+    if ($_SERVER['argv'][1] == 'developers') {
         Command_Line::printDeveloperList($client, $auth);
-    } elseif ($HTTP_SERVER_VARS['argv'][1] == 'open-issues') {
-        if (count($HTTP_SERVER_VARS['argv']) == 3) {
-            if (@$HTTP_SERVER_VARS['argv'][2] == 'my') {
+    } elseif ($_SERVER['argv'][1] == 'open-issues') {
+        if (count($_SERVER['argv']) == 3) {
+            if (@$_SERVER['argv'][2] == 'my') {
                 $show_all_issues = false;
                 $status = '';
             } else {
                 $show_all_issues = true;
-                $status = $HTTP_SERVER_VARS['argv'][2];
+                $status = $_SERVER['argv'][2];
             }
-        } elseif (count($HTTP_SERVER_VARS['argv']) == 4) {
-            if (@$HTTP_SERVER_VARS['argv'][3] == 'my') {
+        } elseif (count($_SERVER['argv']) == 4) {
+            if (@$_SERVER['argv'][3] == 'my') {
                 $show_all_issues = false;
             } else {
                 $show_all_issues = true;
             }
-            $status = $HTTP_SERVER_VARS['argv'][2];
+            $status = $_SERVER['argv'][2];
         } else {
             $show_all_issues = true;
             $status = '';
         }
         Command_Line::printOpenIssues($client, $auth, $show_all_issues, $status);
-    } elseif ($HTTP_SERVER_VARS['argv'][1] == 'list-status') {
+    } elseif ($_SERVER['argv'][1] == 'list-status') {
         Command_Line::printStatusList($client, $auth);
-    } elseif ($HTTP_SERVER_VARS['argv'][1] == 'customer') {
-        if (count($HTTP_SERVER_VARS['argv']) != 4) {
+    } elseif ($_SERVER['argv'][1] == 'customer') {
+        if (count($_SERVER['argv']) != 4) {
             Command_Line::quit("Wrong parameter count");
         }
-        Command_Line::lookupCustomer($client, $auth, $HTTP_SERVER_VARS['argv'][2], $HTTP_SERVER_VARS['argv'][3]);
-    } elseif (($HTTP_SERVER_VARS['argv'][1] == 'weekly-report') || ($HTTP_SERVER_VARS['argv'][1] == 'wr')) {
-        if (count(@$HTTP_SERVER_VARS['argv']) >= 4 and $HTTP_SERVER_VARS['argv'][3] != '--separate-closed') {
-            $separate_closed = (@$HTTP_SERVER_VARS['argv'][4] == '--separate-closed');
+        Command_Line::lookupCustomer($client, $auth, $_SERVER['argv'][2], $_SERVER['argv'][3]);
+    } elseif (($_SERVER['argv'][1] == 'weekly-report') || ($_SERVER['argv'][1] == 'wr')) {
+        if (count(@$_SERVER['argv']) >= 4 and $_SERVER['argv'][3] != '--separate-closed') {
+            $separate_closed = (@$_SERVER['argv'][4] == '--separate-closed');
             // date range
-            Command_Line::getWeeklyReport($client, $auth, 0, $HTTP_SERVER_VARS['argv'][2], $HTTP_SERVER_VARS['argv'][3], $separate_closed);
+            Command_Line::getWeeklyReport($client, $auth, 0, $_SERVER['argv'][2], $_SERVER['argv'][3], $separate_closed);
         } else {
             // weekly
-            if (@$HTTP_SERVER_VARS['argv'][2] == '') {
+            if (@$_SERVER['argv'][2] == '') {
                 $separate_closed = false;
-                @$HTTP_SERVER_VARS['argv'][2] = 0;
+                @$_SERVER['argv'][2] = 0;
             } else {
-                $separate_closed = (@$HTTP_SERVER_VARS['argv'][3] == '--separate-closed' or @$HTTP_SERVER_VARS['argv'][2] == '--separate-closed');
+                $separate_closed = (@$_SERVER['argv'][3] == '--separate-closed' or @$_SERVER['argv'][2] == '--separate-closed');
             }
-            Command_Line::getWeeklyReport($client, $auth, $HTTP_SERVER_VARS['argv'][2], '', '', $separate_closed);
+            Command_Line::getWeeklyReport($client, $auth, $_SERVER['argv'][2], '', '', $separate_closed);
         }
-    } elseif ($HTTP_SERVER_VARS['argv'][1] == 'clock') {
-        Command_Line::timeClock($client, $auth, @$HTTP_SERVER_VARS['argv'][2]);
+    } elseif ($_SERVER['argv'][1] == 'clock') {
+        Command_Line::timeClock($client, $auth, @$_SERVER['argv'][2]);
     }  else {
-        Command_Line::quit("Unknown parameter '" . $HTTP_SERVER_VARS['argv'][1] . "'");
+        Command_Line::quit("Unknown parameter '" . $_SERVER['argv'][1] . "'");
     }
 }
 
Index: misc/check_reminders.php
===================================================================
--- misc/check_reminders.php	(revision 3164)
+++ misc/check_reminders.php	(working copy)
@@ -37,7 +37,7 @@
 
 
 // if requested, clear the lock
-if (in_array('--fix-lock', @$HTTP_SERVER_VARS['argv'])) {
+if (in_array('--fix-lock', @$_SERVER['argv'])) {
     Lock::release('check_reminders');
     echo "The lock file was removed successfully.\n";
     exit;
Index: misc/irc/bot.php
===================================================================
--- misc/irc/bot.php	(revision 3164)
+++ misc/irc/bot.php	(working copy)
@@ -62,7 +62,7 @@
 // ============================================
 
 // if requested, clear the lock
-if (in_array('--fix-lock', @$HTTP_SERVER_VARS['argv'])) {
+if (in_array('--fix-lock', @$_SERVER['argv'])) {
     Lock::release('irc_bot');
     echo "The lock file was removed successfully.\n";
     exit;
Index: setup/index.php
===================================================================
--- setup/index.php	(revision 3164)
+++ setup/index.php	(working copy)
@@ -35,16 +35,16 @@
 set_magic_quotes_runtime(0);
 
 if (isset($_GET)) {
-    $HTTP_POST_VARS = $_POST;
-    $HTTP_GET_VARS = $_GET;
-    $HTTP_SERVER_VARS = $_SERVER;
-    $HTTP_ENV_VARS = $_ENV;
-    $HTTP_POST_FILES = $_FILES;
+    $_POST = $_POST;
+    $_GET = $_GET;
+    $_SERVER = $_SERVER;
+    $_ENV = $_ENV;
+    $_FILES = $_FILES;
     // seems like PHP 4.1.0 didn't implement the $_SESSION auto-global...
     if (isset($_SESSION)) {
-        $HTTP_SESSION_VARS = $_SESSION;
+        $_SESSION = $_SESSION;
     }
-    $HTTP_COOKIE_VARS = $_COOKIE;
+    $_COOKIE = $_COOKIE;
 }
 
 function checkPermissions($file, $desc, $is_directory = FALSE)
@@ -220,9 +220,7 @@
 
 function replace_table_prefix($str)
 {
-    global $HTTP_POST_VARS;
-
-    return str_replace('%TABLE_PREFIX%', $HTTP_POST_VARS['db_table_prefix'], $str);
+    return str_replace('%TABLE_PREFIX%', $_POST['db_table_prefix'], $str);
 }
 
 function getErrorMessage($type, $message)
@@ -280,8 +278,6 @@
 
 function install()
 {
-    global $HTTP_POST_VARS;
-
     clearstatcache();
     // check if config.inc.php in the root directory is writable
     if (!is_writable('../config.inc.php')) {
@@ -304,44 +300,44 @@
     }
     fclose($fp);
     // check if we can connect
-    $conn = @mysql_connect($HTTP_POST_VARS['db_hostname'], $HTTP_POST_VARS['db_username'], $HTTP_POST_VARS['db_password']);
+    $conn = @mysql_connect($_POST['db_hostname'], $_POST['db_username'], $_POST['db_password']);
     if (!$conn) {
         return getErrorMessage('connect', mysql_error());
     }
     $db_list = getDatabaseList($conn);
     $db_list = array_map('strtolower', $db_list);
-    if (@$HTTP_POST_VARS['create_db'] == 'yes') {
-        if (!in_array(strtolower($HTTP_POST_VARS['db_name']), $db_list)) {
-            if (!mysql_query('CREATE DATABASE ' . $HTTP_POST_VARS['db_name'], $conn)) {
+    if (@$_POST['create_db'] == 'yes') {
+        if (!in_array(strtolower($_POST['db_name']), $db_list)) {
+            if (!mysql_query('CREATE DATABASE ' . $_POST['db_name'], $conn)) {
                 return getErrorMessage('create_db', mysql_error());
             }
         }
     } else {
-        if ((count($db_list) > 0) && (!in_array(strtolower($HTTP_POST_VARS['db_name']), $db_list))) {
+        if ((count($db_list) > 0) && (!in_array(strtolower($_POST['db_name']), $db_list))) {
             return "The provided database name could not be found. Review your information or specify that the database should be created in the form below.";
         }
     }
     // create the new user, if needed
-    if (@$HTTP_POST_VARS["alternate_user"] == 'yes') {
+    if (@$_POST["alternate_user"] == 'yes') {
         $user_list = getUserList($conn);
         if (count($user_list) > 0) {
             $user_list = array_map('strtolower', $user_list);
-            if (@$HTTP_POST_VARS["create_user"] == 'yes') {
-                if (!in_array(strtolower(@$HTTP_POST_VARS['eventum_user']), $user_list)) {
-                    $stmt = "GRANT SELECT, UPDATE, DELETE, INSERT, ALTER, DROP, CREATE, INDEX ON " . $HTTP_POST_VARS['db_name'] . ".* TO '" . $HTTP_POST_VARS["eventum_user"] . "'@'%' IDENTIFIED BY '" . $HTTP_POST_VARS["eventum_password"] . "'";
+            if (@$_POST["create_user"] == 'yes') {
+                if (!in_array(strtolower(@$_POST['eventum_user']), $user_list)) {
+                    $stmt = "GRANT SELECT, UPDATE, DELETE, INSERT, ALTER, DROP, CREATE, INDEX ON " . $_POST['db_name'] . ".* TO '" . $_POST["eventum_user"] . "'@'%' IDENTIFIED BY '" . $_POST["eventum_password"] . "'";
                     if (!mysql_query($stmt, $conn)) {
                         return getErrorMessage('create_user', mysql_error());
                     }
                 }
             } else {
-                if (!in_array(strtolower(@$HTTP_POST_VARS['eventum_user']), $user_list)) {
+                if (!in_array(strtolower(@$_POST['eventum_user']), $user_list)) {
                     return "The provided MySQL username could not be found. Review your information or specify that the username should be created in the form below.";
                 }
             }
         }
     }
     // check if we can use the database
-    if (!mysql_select_db($HTTP_POST_VARS['db_name'])) {
+    if (!mysql_select_db($_POST['db_name'])) {
         return getErrorMessage('select_db', mysql_error());
     }
     // check the CREATE and DROP privileges by trying to create and drop a test table
@@ -362,7 +358,7 @@
     $queries = array_map("trim", $queries);
     $queries = array_map("replace_table_prefix", $queries);
     foreach ($queries as $stmt) {
-        if ((stristr($stmt, 'DROP TABLE')) && (@$HTTP_POST_VARS['drop_tables'] != 'yes')) {
+        if ((stristr($stmt, 'DROP TABLE')) && (@$_POST['drop_tables'] != 'yes')) {
             continue;
         }
         // need to check if a CREATE TABLE on an existing table throws an error
@@ -376,20 +372,20 @@
         }
     }
     // substitute the appropriate values in config.inc.php!!!
-    if (@$HTTP_POST_VARS['alternate_user'] == 'yes') {
-        $HTTP_POST_VARS['db_username'] = $HTTP_POST_VARS['eventum_user'];
-        $HTTP_POST_VARS['db_password'] = $HTTP_POST_VARS['eventum_password'];
+    if (@$_POST['alternate_user'] == 'yes') {
+        $_POST['db_username'] = $_POST['eventum_user'];
+        $_POST['db_password'] = $_POST['eventum_password'];
     }
     $config_contents = implode("", file("config.inc.php"));
-    $config_contents = str_replace("%{APP_SQL_DBHOST}%", $HTTP_POST_VARS['db_hostname'], $config_contents);
-    $config_contents = str_replace("%{APP_SQL_DBNAME}%", $HTTP_POST_VARS['db_name'], $config_contents);
-    $config_contents = str_replace("%{APP_SQL_DBUSER}%", $HTTP_POST_VARS['db_username'], $config_contents);
-    $config_contents = str_replace("%{APP_SQL_DBPASS}%", $HTTP_POST_VARS['db_password'], $config_contents);
-    $config_contents = str_replace("%{APP_TABLE_PREFIX}%", $HTTP_POST_VARS['db_table_prefix'], $config_contents);
-    $config_contents = str_replace("%{APP_HOSTNAME}%", $HTTP_POST_VARS['hostname'], $config_contents);
-    $config_contents = str_replace("%{APP_RELATIVE_URL}%", $HTTP_POST_VARS['relative_url'], $config_contents);
+    $config_contents = str_replace("%{APP_SQL_DBHOST}%", $_POST['db_hostname'], $config_contents);
+    $config_contents = str_replace("%{APP_SQL_DBNAME}%", $_POST['db_name'], $config_contents);
+    $config_contents = str_replace("%{APP_SQL_DBUSER}%", $_POST['db_username'], $config_contents);
+    $config_contents = str_replace("%{APP_SQL_DBPASS}%", $_POST['db_password'], $config_contents);
+    $config_contents = str_replace("%{APP_TABLE_PREFIX}%", $_POST['db_table_prefix'], $config_contents);
+    $config_contents = str_replace("%{APP_HOSTNAME}%", $_POST['hostname'], $config_contents);
+    $config_contents = str_replace("%{APP_RELATIVE_URL}%", $_POST['relative_url'], $config_contents);
     $config_contents = str_replace("%{APP_VERSION}%", "1.7.1", $config_contents);
-    if (@$HTTP_POST_VARS['is_ssl'] == 'yes') {
+    if (@$_POST['is_ssl'] == 'yes') {
         $protocol_type = 'https://';
     } else {
         $protocol_type = 'http://';
@@ -428,7 +424,7 @@
     return 'success';
 }
 
-if (@$HTTP_POST_VARS["cat"] == 'install') {
+if (@$_POST["cat"] == 'install') {
     $res = install();
     $tpl->assign("result", $res);
     // check for the optional IMAP extension
@@ -436,7 +432,7 @@
 }
 
 
-$full_url = dirname($HTTP_SERVER_VARS['PHP_SELF']);
+$full_url = dirname($_SERVER['PHP_SELF']);
 $pieces = explode("/", $full_url);
 $relative_url = array();
 $relative_url[] = '';
@@ -450,7 +446,7 @@
 
 $tpl->assign("phpversion", phpversion());
 $tpl->assign("rel_url", $relative_url);
-if (@$HTTP_SERVER_VARS['HTTPS'] == 'on') {
+if (@$_SERVER['HTTPS'] == 'on') {
     $ssl_mode = 'enabled';
 } else {
     $ssl_mode = 'disabled';
Index: duplicate.php
===================================================================
--- duplicate.php	(revision 3164)
+++ duplicate.php	(working copy)
@@ -38,13 +38,13 @@
 
 Auth::checkAuthentication(APP_COOKIE);
 
-if (@$HTTP_POST_VARS["cat"] == "mark") {
-    $res = Issue::markAsDuplicate($HTTP_POST_VARS["issue_id"]);
+if (@$_POST["cat"] == "mark") {
+    $res = Issue::markAsDuplicate($_POST["issue_id"]);
     $tpl->assign("duplicate_result", $res);
 } else {
     // need to show only the issues that have iss_duplicated_iss_id = NULL
-    $tpl->assign("issues", Issue::getColList("iss_duplicated_iss_id IS NULL AND iss_id <> " . $HTTP_GET_VARS["id"]));
-    $tpl->assign("assoc_issues", Issue::getAssocList("iss_duplicated_iss_id IS NULL AND iss_id <> " . $HTTP_GET_VARS["id"]));
+    $tpl->assign("issues", Issue::getColList("iss_duplicated_iss_id IS NULL AND iss_id <> " . $_GET["id"]));
+    $tpl->assign("assoc_issues", Issue::getAssocList("iss_duplicated_iss_id IS NULL AND iss_id <> " . $_GET["id"]));
 }
 
 $tpl->displayTemplate();
Index: customer/example/customer_lookup.php
===================================================================
--- customer/example/customer_lookup.php	(revision 3164)
+++ customer/example/customer_lookup.php	(working copy)
@@ -44,8 +44,8 @@
     Auth::redirect(APP_RELATIVE_URL . "list.php");
 }
 
-if (@$HTTP_POST_VARS['cat'] == 'lookup') {
-    $tpl->assign("results", Customer::lookup($prj_id, $HTTP_POST_VARS['field'], $HTTP_POST_VARS['value']));
+if (@$_POST['cat'] == 'lookup') {
+    $tpl->assign("results", Customer::lookup($prj_id, $_POST['field'], $_POST['value']));
 }
 
 $tpl->displayTemplate();
Index: stats_chart.php
===================================================================
--- stats_chart.php	(revision 3164)
+++ stats_chart.php	(working copy)
@@ -50,7 +50,7 @@
 
 // Some data
 $colors = array();
-if ($HTTP_GET_VARS["plot"] == "status") {
+if ($_GET["plot"] == "status") {
     $data = Stats::getAssocStatus();
     $graph_title = "Issues by Status";
     foreach ($data as $sta_title => $trash) {
@@ -58,16 +58,16 @@
         $status_details = Status::getDetails($sta_id);
         $colors[] = $status_details['sta_color'];
     }
-} elseif ($HTTP_GET_VARS["plot"] == "release") {
+} elseif ($_GET["plot"] == "release") {
     $data = Stats::getAssocRelease();
     $graph_title = ev_gettext("Issues by Release");
-} elseif ($HTTP_GET_VARS["plot"] == "priority") {
+} elseif ($_GET["plot"] == "priority") {
     $data = Stats::getAssocPriority();
     $graph_title = ev_gettext("Issues by Priority");
-} elseif ($HTTP_GET_VARS["plot"] == "user") {
+} elseif ($_GET["plot"] == "user") {
     $data = Stats::getAssocUser();
     $graph_title = ev_gettext("Issues by Assignment");
-} elseif ($HTTP_GET_VARS["plot"] == "category") {
+} elseif ($_GET["plot"] == "category") {
     $data = Stats::getAssocCategory();
     $graph_title = ev_gettext("Issues by Category");
 }
Index: notification.php
===================================================================
--- notification.php	(revision 3164)
+++ notification.php	(working copy)
@@ -42,7 +42,7 @@
 
 $usr_id = Auth::getUserID();
 $prj_id = Auth::getCurrentProject();
-$issue_id = @$HTTP_POST_VARS["issue_id"] ? $HTTP_POST_VARS["issue_id"] : $HTTP_GET_VARS["iss_id"];
+$issue_id = @$_POST["issue_id"] ? $_POST["issue_id"] : $_GET["iss_id"];
 $tpl->assign("issue_id", $issue_id);
 
 // format default actions properly
@@ -53,17 +53,17 @@
 }
 $tpl->assign("default_actions", $res);
 
-if (@$HTTP_POST_VARS["cat"] == "insert") {
-    $res = Notification::subscribeEmail($usr_id, $issue_id, $HTTP_POST_VARS['email'], $HTTP_POST_VARS['actions']);
+if (@$_POST["cat"] == "insert") {
+    $res = Notification::subscribeEmail($usr_id, $issue_id, $_POST['email'], $_POST['actions']);
     $tpl->assign("insert_result", $res);
-} elseif (@$HTTP_GET_VARS["cat"] == "edit") {
-    $res = Notification::getDetails($HTTP_GET_VARS["id"]);
+} elseif (@$_GET["cat"] == "edit") {
+    $res = Notification::getDetails($_GET["id"]);
     $tpl->assign("info", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "update") {
-    $res = Notification::update($HTTP_POST_VARS["id"]);
+} elseif (@$_POST["cat"] == "update") {
+    $res = Notification::update($_POST["id"]);
     $tpl->assign("update_result", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "delete") {
-    $res = Notification::remove($HTTP_POST_VARS["items"]);
+} elseif (@$_POST["cat"] == "delete") {
+    $res = Notification::remove($_POST["items"]);
     $tpl->assign("delete_result", $res);
 }
 
Index: get_attachment.php
===================================================================
--- get_attachment.php	(revision 3164)
+++ get_attachment.php	(working copy)
@@ -35,15 +35,15 @@
 
 Auth::checkAuthentication(APP_COOKIE);
 
-if (@$HTTP_GET_VARS['cat'] == 'blocked_email') {
-    $email = Note::getBlockedMessage($HTTP_GET_VARS["note_id"]);
+if (@$_GET['cat'] == 'blocked_email') {
+    $email = Note::getBlockedMessage($_GET["note_id"]);
 } else {
-    $email = Support::getFullEmail($HTTP_GET_VARS["sup_id"]);
+    $email = Support::getFullEmail($_GET["sup_id"]);
 }
-if (!empty($HTTP_GET_VARS['cid'])) {
-    list($mimetype, $data) = Mime_Helper::getAttachment($email, $HTTP_GET_VARS["filename"], $HTTP_GET_VARS["cid"]);
+if (!empty($_GET['cid'])) {
+    list($mimetype, $data) = Mime_Helper::getAttachment($email, $_GET["filename"], $_GET["cid"]);
 } else {
-    list($mimetype, $data) = Mime_Helper::getAttachment($email, $HTTP_GET_VARS["filename"]);
+    list($mimetype, $data) = Mime_Helper::getAttachment($email, $_GET["filename"]);
 }
-Attachment::outputDownload($data, $HTTP_GET_VARS["filename"], strlen($data), $mimetype);
+Attachment::outputDownload($data, $_GET["filename"], strlen($data), $mimetype);
 ?>
\ No newline at end of file
Index: rpc/xmlrpc.php
===================================================================
--- rpc/xmlrpc.php	(revision 3164)
+++ rpc/xmlrpc.php	(working copy)
@@ -954,19 +954,17 @@
  */
 function createFakeCookie($email, $project = false)
 {
-    global $HTTP_COOKIE_VARS;
-
     $cookie = array(
         "email" => $email
     );
-    $HTTP_COOKIE_VARS[APP_COOKIE] = base64_encode(serialize($cookie));
+    $_COOKIE[APP_COOKIE] = base64_encode(serialize($cookie));
     if ($project) {
         $cookie = array(
             "prj_id"   => $project,
             "remember" => false
         );
     }
-    $HTTP_COOKIE_VARS[APP_PROJECT_COOKIE] = base64_encode(serialize($cookie));
+    $_COOKIE[APP_PROJECT_COOKIE] = base64_encode(serialize($cookie));
 }
 
 
@@ -1109,4 +1107,4 @@
     )
 );
 $server = new XML_RPC_Server($services);
-?>
\ No newline at end of file
+?>
Index: requirement.php
===================================================================
--- requirement.php	(revision 3164)
+++ requirement.php	(working copy)
@@ -38,8 +38,8 @@
 
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
 
-if (@$HTTP_POST_VARS["cat"] == "set_analysis") {
-    $res = Impact_Analysis::update($HTTP_POST_VARS["isr_id"]);
+if (@$_POST["cat"] == "set_analysis") {
+    $res = Impact_Analysis::update($_POST["isr_id"]);
     $tpl->assign("set_analysis_result", $res);
 }
 
